Post-release version bump to 4.0.0
authorDaniel P. Berrange <berrange@redhat.com>
Tue, 5 Dec 2017 11:46:10 +0000 (11:46 +0000)
committerDaniel P. Berrange <berrange@redhat.com>
Tue, 5 Dec 2017 11:46:10 +0000 (11:46 +0000)
Signed-off-by: Daniel P. Berrange <berrange@redhat.com>

Changes
Makefile.PL
README
lib/Sys/Virt.pm

diff --git a/Changes b/Changes
index 1f52849..3763b1d 100644 (file)
--- a/Changes
+++ b/Changes
@@ -1,5 +1,9 @@
 Revision history for perl module Sys::Virt
 
+4.0.0 2018-00-00
+
+ - XXX
+
 3.9.1 2017-12-05
 
  - Fix package location of lifecycle constants
index abade71..86f04ca 100644 (file)
@@ -3,7 +3,7 @@ use ExtUtils::MakeMaker;
 # See lib/ExtUtils/MakeMaker.pm for details of how to influence
 # the contents of the Makefile that is written.
 
-my $libvirtver = "3.9.0";
+my $libvirtver = "4.0.0";
 my $stat = system "pkg-config --atleast-version=$libvirtver libvirt";
 die "cannot run pkg-config to check libvirt version" if $stat == -1;
 die "libvirt >= $libvirtver is required\n" unless $stat == 0;
diff --git a/README b/README
index 9fec52b..5b21bb7 100644 (file)
--- a/README
+++ b/README
@@ -7,6 +7,6 @@ further details on libvirt consult its website http://libvirt.org/
 The only pre-requisite for this module is libvirt itself. For
 installation instructions, consult the INSTALL file.
 
-The current minimum required version of libvirt is 3.9.0
+The current minimum required version of libvirt is 4.0.0
 
 -- End
index 0aa693a..2ce7ed5 100644 (file)
@@ -78,7 +78,7 @@ use Sys::Virt::NWFilter;
 use Sys::Virt::DomainSnapshot;
 use Sys::Virt::Stream;
 
-our $VERSION = '3.9.1';
+our $VERSION = '4.0.0';
 require XSLoader;
 XSLoader::load('Sys::Virt', $VERSION);